<!DOCTYPE html>
<html lang="fr">
<head>
  <title>Présentation projet : groupe 5</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>
  <style>
    figure {
      border: 1px #cccccc solid;
      padding: 4px;
      margin: auto;
    }
    
    figcaption {
      background: rgba(0,0,0,0.7);
      color: white;
      font-style: italic;
      padding: 2px;
      text-align: center;
    }
    </style>
</head>
<body>

<div class="container-fluid p-5 bg-primary text-white text-center">
  <h1>Jeu d'arcade : Puissance 4</h1>
  <p>Groupe 05 : Lucas LARZILLIERE, Tristan VILLETTE, Florian GAVA</p>
  <a href='groupe.html' class="row-sm-4 ">
    <button type="button" class="btn btn-secondary">Retour</button>
  </a>
</div>
  
<div class="container mt-5">
  <div class="col">
    <div class="row">
      <h3>Présentation générale : Puissance 4</h3>
      <p>Nous avons décider de coder le puissance 4 en C et SDL2 car c'est un jeu qui parle à tout le monde et le code est intéressant algorithmiquement tout en laissant une bonne implémentation graphique.</p>
    </div>
    <div class="row">
      <div class="col-sm-6">
        <h3>Partie 1 : implémentation en C</h3>
        <p>Pour l'implémentation en C, elle s'est faite grâce à plusieurs fonctions qui ont permis d'aboutir à une partie de puissance 4 complète et jouable dans le terminal.
          La première fonction est get_next_open_row, utile pour savoir où placer le prochain pion en hauteur.
          La deuxième fonction est is_valid_location qui permet de savoir si le coup du joueur est autorisé.
        </p>
        <figure>
            <img src="img/p4.png" width="600" height="400">
            <figcaption>Deux fonctions importantes</figcaption>
        </figure>
        <figure>
          <img src="img/p4texte.png">
          <figcaption>Partie de puissance 4 dans la console</figcaption>
      </figure>
      </div>
      <div class="col-sm-6">
        <h3>Partie 2 : implémentation graphique</h3>
        <p>Cette implémentation a été faite en modifiant les codes de l'implémentation en C pour correspondre à la SDL2.
          Les tours s'enchainent et chaque joueur peut à son tour, cliquer pour choisir où poser le pion. Tous les tracés ont été faits par formes géométriques.</p>
        <figure>
            <img src="img/graphiquep4.png" width="600" height="600">
            <figcaption>Partie de Puissance 4 sous forme graphique avec SDL2</figcaption>
        </figure>
      </div>
    </div>
    </div>
  </div>

</body>
</html>
